// http://www.khronos.org/files/opengl-quick-reference-card.pdf

uniform vec3 inLightPos;

attribute vec4 inVertPos;
attribute vec4 inTexCoord;
attribute vec3 inVertNormal;

void main()
{
	vec4 vPos=gl_ModelViewMatrix * inVertPos;
	gl_Position = gl_ProjectionMatrix * vPos;

    vec3 vNormal = gl_NormalMatrix * inVertNormal;
	vec3 vLight = inLightPos - vPos.xyz;
	
	vLight=normalize(vLight);

	float diffuseLit=max(0.0,dot(vLight,vNormal));
	float specularLit=0.0;
	
	float lit=specularLit+diffuseLit;
	
	gl_FrontColor=vec4(lit,lit,lit,lit);

	gl_TexCoord[0]=inTexCoord;

}
